/*
 * Exorciser - Automated generation and grading of exercises in an introductory
 * course on the Theory of Computation,
 * 
 * Copyright (C) 2000-2004 Vincent Tscherter et al., Swiss Federal Institue of
 * Technology, Zrich Switzerland
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */
package ch.ethz.exorciser;

import java.util.regex.Pattern;

/**
 * @author Vincent Tscherter
 */
public class Query {

   public static String getValue (String query, String name) {
      String[] p = Pattern.compile("\\&").split(query); //$NON-NLS-1$
      int i = 0;
      while (i < p.length) {
         String[] t = Pattern.compile("=").split(p[i]); //$NON-NLS-1$
         if (t.length == 2 && t[0].equals(name)) { return t[1]; }
         i++;
      }
      return null;
   }
}