/*
 * Exorciser - www.educeth.ch/exorciser  Copyright 2000-2004 Swiss Federal
 * Institue of Technology, Zrich Switzerland
 */
package ch.ethz.exorciser.rl.minfa;

/**
 * Implementor of this Interface can control activity of another class.
 * 
 * @author Alexander Imfeld
 * @author Vincent Tscherter
 * @author Reto Lamprecht
 */
public interface ActivityController {

   /**
    * Tells the other class whether it should be active or not.
    */
   public boolean isActive ();

   /**
    * Setter for activity.
    */
   public void setActivity (boolean activity);
}