/*
 * Exorciser - www.educeth.ch/exorciser  Copyright 2000-2004 Swiss Federal
 * Institue of Technology, Zrich Switzerland
 */
package ch.ethz.exorciser.rl.re.dictionary;

import ch.ethz.exorciser.ifa.FA;
import ch.ethz.exorciser.rl.re.RegularExpression;

/**
 * @author Vincent Tscherter
 */
public interface REDictionary {

	public RegularExpression getRandomRE();
	
	public RegularExpression getRandomRE(int prefixsize);
	
	public FA getRandomFA(int nofstates);
	
	public RegularExpression getRE(FA fa);
	
	public void save();
	
	public void load();
	
	public void load(int size);
	
	public void expand();
	
	public void expand(int times);

}//REDictionaryInterface
